//
// Created by fdenef on 12/02/2025.
//

#ifndef SENSOR_REGISTERS_H
#define SENSOR_REGISTERS_H

typedef enum {
    sensor_addr = 0x1A << 1,
    config_reg = 0x01,
    status_reg = 0x02,
    mbit_trim_reg = 0x03,
    bias_trim_top_reg = 0x04,
    bias_trim_bot_reg = 0x05,
    clk_trim_reg = 0x06,
    bpa_trim_top_reg = 0x07,
    bpa_trim_bot_reg = 0x08,
    pu_reg = 0x09,
    data_top_reg = 0x0A,
    data_bot_reg = 0x0B,
} SensorRegisters;

#endif //SENSOR_REGISTERS_H
